## inspectrum 0.1.6.6287ae4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(inspectrum CXX)
enable_testing()

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

if (WIN32)
       find_library (MMAN mman)
       if(NOT(MMAN))
       message(FATAL_ERROR "please install mman-win32")
       else(NOT(MMAN))
       set (extraLibs  ${extraLibs} ${MMAN})
       endif(NOT(MMAN))
ENDIF (WIN32)

if (NOT CMAKE_CXX_FLAGS)
    set(CMAKE_CXX_FLAGS "-O2")
endif (NOT CMAKE_CXX_FLAGS)

# This only works in cmake >3.1
#set_property(TARGET inspectrum PROPERTY CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

list(APPEND inspectrum_sources 
	main.cpp
	fft.cpp
	mainwindow.cpp
	inputsource.cpp
	spectrogram.cpp
	spectrogramcontrols.cpp
)

INCLUDE(FindPkgConfig)
find_package(Qt5Widgets REQUIRED)
pkg_check_modules(FFTW REQUIRED fftw3f)
include_directories(${QT_INCLUDES} ${FFTW_INCLUDEDIR})

add_executable(inspectrum ${inspectrum_sources})
qt5_use_modules(inspectrum Widgets)

target_link_libraries(inspectrum ${QT_LIBRARIES} ${FFTW_LIBRARIES} ${extraLibs})
set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

install(TARGETS inspectrum RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

# Create uninstall target
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== debian/changelog ===
inspectrum (0.1.6.6287ae4-1) unstable; urgency=medium

  * [986c8e6] New upstream version 0.1.6.6287ae4 uploaded (Closes: 800812)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 06 Oct 2015 00:40:21 -0400

inspectrum (0.1-1) unstable; urgency=medium

  * Initial release package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 03 Oct 2015 15:56:29 -0400

=== debian/control ===
Source: inspectrum
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake, debhelper (>= 9), libfftw3-dev, pkg-config, qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/miek/inspectrum
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/inspectrum.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/inspectrum.git

Package: inspectrum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for visualising captured radio signals
 inspectrum is a tool for analysing captured signals, primarily from
 software-defined radio receivers.

## inspectrum 0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(inspectrum CXX)
enable_testing()

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# For OSX - don't clear RPATH on install
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

if (WIN32)
    find_library (MMAN mman)
    if(NOT(MMAN))
    message(FATAL_ERROR "please install mman-win32")
    else(NOT(MMAN))
    set (extraLibs  ${extraLibs} ${MMAN})
    endif(NOT(MMAN))
ENDIF (WIN32)

if (NOT CMAKE_CXX_FLAGS)
    set(CMAKE_CXX_FLAGS "-O2")
endif (NOT CMAKE_CXX_FLAGS)

# This only works in cmake >3.1
#set_property(TARGET inspectrum PROPERTY CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

list(APPEND inspectrum_sources 
    abstractsamplesource.cpp
    amplitudedemod.cpp
    cursor.cpp
    cursors.cpp
    main.cpp
    fft.cpp
    frequencydemod.cpp
    mainwindow.cpp
    inputsource.cpp
    phasedemod.cpp
    plot.cpp
    plots.cpp
    plotview.cpp
    samplebuffer.cpp
    samplesource.cpp
    spectrogramcontrols.cpp
    spectrogramplot.cpp
    threshold.cpp
    traceplot.cpp
    tuner.cpp
    tunertransform.cpp
    util.cpp
)

INCLUDE(FindPkgConfig)

find_package(Qt5Widgets REQUIRED)
pkg_check_modules(FFTW REQUIRED fftw3f)
find_package(Liquid REQUIRED)

include_directories(
    ${QT_INCLUDES}
    ${FFTW_INCLUDEDIR}
    ${FFTW_INCLUDE_DIRS}
    ${LIQUID_INCLUDES}
)

link_directories(
    ${FFTW_LIBRARY_DIRS}
)

add_executable(inspectrum ${inspectrum_sources})
qt5_use_modules(inspectrum Widgets Concurrent)

target_link_libraries(inspectrum
    ${QT_LIBRARIES}
    ${FFTW_LIBRARIES}
    ${LIQUID_LIBRARIES}
    ${extraLibs}
)
set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

install(TARGETS inspectrum RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

# Create uninstall target
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== debian/changelog ===
inspectrum (0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #867530)
  * update to v0.2-13-ga89d133
  * liquid-dsp based

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Sep 2017 12:06:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,13 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake, debhelper (>= 9), libfftw3-dev, pkg-config, qtbase5-dev
-Standards-Version: 3.9.6
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libfftw3-dev,
+               libliquid-dev,
+               pkg-config,
+               qtbase5-dev
+Standards-Version: 4.1.0
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/inspectrum.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/inspectrum.git

## inspectrum 0.2.1+rb2

=== debian/changelog ===
inspectrum (0.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Hamradio Maintainers <debian-hams@lists.debian.org>  Wed, 27 Jan 2021 18:04:05 +0800

## inspectrum 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.11)
 project(inspectrum CXX)
 enable_testing()
 
@@ -9,14 +9,20 @@
 # For OSX - don't clear RPATH on install
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-if (WIN32)
-    find_library (MMAN mman)
-    if(NOT(MMAN))
-    message(FATAL_ERROR "please install mman-win32")
-    else(NOT(MMAN))
-    set (extraLibs  ${extraLibs} ${MMAN})
-    endif(NOT(MMAN))
-ENDIF (WIN32)
+if (MSVC)
+    #force std::complex<> typedefs in liquiddsp
+    add_definitions(-D_LIBCPP_COMPLEX)
+
+    #enable math definitions in math.h
+    add_definitions(-D_USE_MATH_DEFINES)
+
+    #build a graphical application without the console
+    option(BUILD_WIN32 "Build win32 app, false for console" TRUE)
+    if (BUILD_WIN32)
+        set(EXE_ARGS WIN32)
+        set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
+    endif (BUILD_WIN32)
+endif (MSVC)
 
 if (NOT CMAKE_CXX_FLAGS)
     set(CMAKE_CXX_FLAGS "-O2")
@@ -51,31 +57,22 @@
     util.cpp
 )
 
-INCLUDE(FindPkgConfig)
-
 find_package(Qt5Widgets REQUIRED)
-pkg_check_modules(FFTW REQUIRED fftw3f)
+find_package(Qt5Concurrent REQUIRED)
+find_package(FFTW REQUIRED)
 find_package(Liquid REQUIRED)
 
 include_directories(
-    ${QT_INCLUDES}
-    ${FFTW_INCLUDEDIR}
-    ${FFTW_INCLUDE_DIRS}
+    ${FFTW_INCLUDES}
     ${LIQUID_INCLUDES}
 )
 
-link_directories(
-    ${FFTW_LIBRARY_DIRS}
-)
-
-add_executable(inspectrum ${inspectrum_sources})
-qt5_use_modules(inspectrum Widgets Concurrent)
+add_executable(inspectrum ${EXE_ARGS} ${inspectrum_sources})
 
 target_link_libraries(inspectrum
-    ${QT_LIBRARIES}
+    Qt5::Core Qt5::Widgets Qt5::Concurrent
     ${FFTW_LIBRARIES}
     ${LIQUID_LIBRARIES}
-    ${extraLibs}
 )
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

=== debian/changelog ===
inspectrum (0.2.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 27 Apr 2020 15:53:54 -0400

inspectrum (0.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Gürkan Myczko ]
  * control: Update Vcs fields.
  * copyright: fix
    global-files-wildcard-not-first-paragraph-in-dep5-copyright.

  [ Christoph Berg ]
  * New upstream release.
  * Add debian/gitlab-ci.yml.
  * Use DH 12.
  * Update description with more details.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Dec 2019 10:23:24 +0100

=== debian/control ===
Source: inspectrum
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libfftw3-dev,
               libliquid-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 4.4.1
Homepage: https://github.com/miek/inspectrum
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum

Package: inspectrum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for visualising captured radio signals
 inspectrum is a tool for analysing captured signals, primarily from
 software-defined radio receivers.
 .
 inspectrum supports the following file types:
  *.cf32, *.cfile - Complex 32-bit floating point (GNURadio, osmocom_fft)
  *.cs16 - Complex 16-bit signed integer (BladeRF)
  *.cs8 - Complex 8-bit signed integer (HackRF)
  *.cu8 - Complex 8-bit unsigned integer (RTL-SDR)
 .
 Features:
  * Large (100GB+) file support
  * Spectrogram with zoom/pan
  * Plots of amplitude, frequency, phase and IQ samples
  * Cursors for measuring period, symbol rate and extracting symbols
  * Export of selected time period, filtered samples and demodulated data

## inspectrum 0.2.3

=== debian/changelog ===
inspectrum (0.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove listed license files (LICENSE) from copyright.

  [ Daniele Forsi ]
  * Fix blhc failure
  * Update standards version to 4.6.0, no changes needed.
  * Update watch file format version to 4.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 11:12:52 +0100

inspectrum (0.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ tony mancill ]
  * New upstream version 0.2.3 (Closes: #974584)
  * Bump Standards-Version to 4.5.1
  * Set Rules-Requires-Root: no in debian/control
  * Update to debhelper compat level 13

 -- tony mancill <tmancill@debian.org>  Fri, 04 Dec 2020 13:22:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: inspectrum
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libfftw3-dev,
                libliquid-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum
+Rules-Requires-Root: no
 
 Package: inspectrum
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/ https://github.com/miek/inspectrum/tags .*/v?(\d\S*)\.tar\.gz

## inspectrum 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(inspectrum CXX)
enable_testing()

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# For OSX - don't clear RPATH on install
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

if (MSVC)
    #force std::complex<> typedefs in liquiddsp
    add_definitions(-D_LIBCPP_COMPLEX)

    #enable math definitions in math.h
    add_definitions(-D_USE_MATH_DEFINES)

    #build a graphical application without the console
    option(BUILD_WIN32 "Build win32 app, false for console" TRUE)
    if (BUILD_WIN32)
        set(EXE_ARGS WIN32)
        set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
    endif (BUILD_WIN32)
endif (MSVC)

if (NOT CMAKE_CXX_FLAGS)
    set(CMAKE_CXX_FLAGS "-O2")
endif (NOT CMAKE_CXX_FLAGS)

# This only works in cmake >3.1
set(CMAKE_CXX_STANDARD 14)

list(APPEND inspectrum_sources 
    abstractsamplesource.cpp
    amplitudedemod.cpp
    cursor.cpp
    cursors.cpp
    main.cpp
    fft.cpp
    frequencydemod.cpp
    mainwindow.cpp
    inputsource.cpp
    phasedemod.cpp
    plot.cpp
    plots.cpp
    plotview.cpp
    samplebuffer.cpp
    samplesource.cpp
    spectrogramcontrols.cpp
    spectrogramplot.cpp
    threshold.cpp
    traceplot.cpp
    tuner.cpp
    tunertransform.cpp
    util.cpp
)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(FFTW REQUIRED)
find_package(Liquid REQUIRED)

include_directories(
    ${FFTW_INCLUDES}
    ${LIQUID_INCLUDES}
)

add_executable(inspectrum ${EXE_ARGS} ${inspectrum_sources})

target_link_libraries(inspectrum
    Qt5::Core Qt5::Widgets Qt5::Concurrent
    ${FFTW_LIBRARIES}
    ${LIQUID_LIBRARIES}
)

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

install(TARGETS inspectrum RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

# Create uninstall target
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== debian/changelog ===
inspectrum (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Update to build with CMake 4 (Closes: #1113043)
  * Update B-D on pkg-config to pkgconf
  * Bump Standards-Version to 4.7.2
  * Update debian/watch to version 5

 -- tony mancill <tmancill@debian.org>  Mon, 20 Oct 2025 20:35:47 -0700

inspectrum (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 14:14:32 +0000

inspectrum (0.2.3-3) unstable; urgency=medium

  * update to v0.2.3-36-g98b998f to enable new features
    ahead of new upstream release.
  * Update standards version to 4.6.1, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 15 Sep 2022 17:30:10 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                debhelper-compat (= 13),
                libfftw3-dev,
                libliquid-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum
@@ -23,10 +23,17 @@
  software-defined radio receivers.
  .
  inspectrum supports the following file types:
+  *.sigmf-meta, *.sigmf-data - Signal Metadata Format (SigMF) recordings
   *.cf32, *.cfile - Complex 32-bit floating point (GNURadio, osmocom_fft)
+  *.cf64 - Complex 64-bit floating point samples
   *.cs16 - Complex 16-bit signed integer (BladeRF)
   *.cs8 - Complex 8-bit signed integer (HackRF)
   *.cu8 - Complex 8-bit unsigned integer (RTL-SDR)
+  *.f32 - Real 32-bit floating point samples
+  *.f64 - Real 64-bit floating point samples (MATLAB)
+  *.s16 - Real 16-bit signed integer samples
+  *.s8 - Real 8-bit signed integer samples
+  *.u8 - Real 8-bit unsigned integer samples
  .
  Features:
   * Large (100GB+) file support

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Source: https://github.com/miek/inspectrum/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/
